- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions

# QWSSoundServerSocket Class Reference

Search for all occurrences

## Detailed Description

Definition at line 134 of file qsoundqss_qws.h.

`#include <qsoundqss_qws.h>`

Inheritance diagram for QWSSoundServerSocket:
[legend]

List of all members.

## Public Slots
void | newConnection ()
## Signals
void | playFile (int, int, const QString &)
void | playFile (int, int, const QString &, int, int)
void | playRawFile (int, int, const QString &, int, int, int, int)
void | pauseFile (int, int)
void | stopFile (int, int)
void | resumeFile (int, int)
void | setVolume (int, int, int, int)
void | setMute (int, int, bool)
void | stopAll (int)
void | playPriorityOnly (bool)
void | setSilent (bool)
void | soundFileCompleted (int, int)
void | deviceReady (int, int)
void | deviceError (int, int, int)
## Public Member Functions
| QWSSoundServerSocket (QObject *parent=0)

## Constructor & Destructor Documentation

QWSSoundServerSocket | ( | QObject * | parent = `0` | ) | `[explicit]`

## Member Function Documentation

void newConnection | ( |  | ) | `[slot]`

Search for all occurrences

Reimplemented from QWSServerSocket.

void playFile | ( | int | ,
|  | int | ,
|  | const QString & |
| ) |  | `[signal]`

Search for all occurrences

void playFile | ( | int | ,
|  | int | ,
|  | const QString & | ,
|  | int | ,
|  | int |
| ) |  | `[signal]`

Search for all occurrences

void playRawFile | ( | int | ,
|  | int | ,
|  | const QString & | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) |  | `[signal]`

Search for all occurrences

void pauseFile | ( | int | ,
|  | int |
| ) |  | `[signal]`

Search for all occurrences

void stopFile | ( | int | ,
|  | int |
| ) |  | `[signal]`

Search for all occurrences

void resumeFile | ( | int | ,
|  | int |
| ) |  | `[signal]`

Search for all occurrences

void setVolume | ( | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) |  | `[signal]`

Search for all occurrences

void setMute | ( | int | ,
|  | int | ,
|  | bool |
| ) |  | `[signal]`

Search for all occurrences

void stopAll | ( | int |  | ) | `[signal]`

Search for all occurrences

void playPriorityOnly | ( | bool |  | ) | `[signal]`

Search for all occurrences

void setSilent | ( | bool |  | ) | `[signal]`

Search for all occurrences

void soundFileCompleted | ( | int | ,
|  | int |
| ) |  | `[signal]`

Search for all occurrences

void deviceReady | ( | int | ,
|  | int |
| ) |  | `[signal]`

Search for all occurrences

void deviceError | ( | int | ,
|  | int | ,
|  | int |
| ) |  | `[signal]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qsoundqss_qws.h

QWSSoundServerSocket QWSSoundServerSocket QWSSoundServerSocket QWSSoundServerSocket QWSSoundServerSocket QWSSoundServerSocket QWSSoundServerSocket QWSSoundServerSocket QWSSoundServerSocket QWSSoundServerSocket
QWSSoundServerSocket QWSSoundServerSocket QWSSoundServerSocket QWSSoundServerSocket QWSSoundServerSocket QWSSoundServerSocket QWSSoundServerSocket QWSSoundServerSocket QWSSoundServerSocket QWSSoundServerSocket